> ## Documentation Index
> Fetch the complete documentation index at: https://docs.teamcaredental.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List referrals

> This endpoint retrieves patients for a specific location.

- The `q[fetch_modified_since]` is used to capture the delta changes, pass the datetime in UTC



## OpenAPI

````yaml https://app.teamcaredental.com/openapi-vendors.json get /locations/{location_id}/referrals
openapi: 3.1.0
info:
  title: TeamCare Vendor API
  version: 1.0.0
  description: Vendor APIs for integrating dental office data. HIPAA-compliant and opt-in.
servers:
  - url: https://app.teamcaredental.com/api/v1/vendors
security:
  - bearerAuth: []
paths:
  /locations/{location_id}/referrals:
    get:
      tags:
        - Patients Referrals
      summary: List referrals
      description: >-
        This endpoint retrieves patients for a specific location.


        - The `q[fetch_modified_since]` is used to capture the delta changes,
        pass the datetime in UTC
      operationId: locations_resources_patients_referrals_list
      parameters:
        - name: location_id
          in: path
          required: true
          description: The ID of the location for which patients are to be retrieved.
          schema:
            type: string
        - name: items
          in: query
          required: false
          description: A parameter to specify the number of items to be returned.
          schema:
            type: integer
            example: 5000
        - name: q
          in: query
          required: false
          style: deepObject
          explode: true
          schema:
            type: object
            properties:
              fetch_modified_since:
                type: string
                format: date-time
                example: '2025-11-01T01:58:00.164Z'
          example:
            fetch_modified_since: '2025-11-01T01:58:00.164Z'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        type:
                          type: string
                        attributes:
                          type: object
                          properties:
                            first_name:
                              type: string
                            last_name:
                              type: string
                            middle_name:
                              type: string
                              example: string or null
                            address_line1:
                              type: string
                            address_line2:
                              type: string
                              example: string or null
                            city:
                              type: string
                            state:
                              type: string
                            zip_code:
                              type: string
                            latitude:
                              type: string
                              example: number or null
                            longitude:
                              type: string
                              example: number or null
                            status:
                              type: string
                            gender:
                              type: string
                            name:
                              type: string
                            insurance:
                              type: string
                  pagy:
                    type: object
                    properties:
                      total:
                        type: number
                      items:
                        type: number
              example:
                data:
                  - id: string
                    type: string
                    attributes:
                      first_name: string
                      last_name: string
                      middle_name: string or null
                      address_line1: string
                      address_line2: string or null
                      city: string
                      state: string
                      zip_code: string
                      latitude: number or null
                      longitude: number or null
                      status: string
                      gender: string
                      name: string
                      insurance: string
                pagy:
                  total: 0
                  items: 0
        '401':
          description: Missing, invalid or expired token.
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: string
              example:
                errors: not authorized
        '403':
          description: The credential may not access this resource.
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: string
              example:
                errors: access Denied
        '404':
          description: Resource not found.
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: string
              example:
                errors: resource not found
        '422':
          description: The request could not be processed.
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: string
              example:
                errors: ...
        '429':
          description: >-
            Concurrency limit exceeded. The request was not executed; retry is
            safe.
          headers:
            Retry-After:
              description: Seconds to wait before retrying.
              schema:
                type: integer
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: string
                  sync_type:
                    type: string
                    enum:
                      - initial
                      - incremental
                  max_concurrent_locations:
                    type: integer
                  active_location_ids:
                    type: array
                    items:
                      type: integer
                  retry_after_seconds:
                    type: integer
              example:
                errors: >-
                  Too many locations syncing concurrently. At most 5 locations
                  may have initial sync requests in flight at a time.
                sync_type: initial
                max_concurrent_locations: 5
                active_location_ids:
                  - 101
                  - 102
                  - 103
                  - 104
                  - 105
                retry_after_seconds: 1
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: JWT returned by POST /auth/token. Valid for six hours.

````